*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: syne;
}

:root{
    --primary-color:#1c1c1c;
    --secondary-cory:#cbcbcb;
    --hover-color:#ceb130;
    --background1:#2c2c2c;
    --background2:#424242;
}

a{
    text-decoration: none;
}

p{
    font-family: outfit ;
}

h1{
    font-size: 50px;
}

h2{
    font-size: 40px;
}

html, body{
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 100px;
}

header{
    display: flex;
    position: relative;
    position: fixed;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    padding: 30px 0 30px 30px;
    background-color:var(--primary-color);
    color: var(--secondary-cory);
    z-index: 10;
    
}

.header-menu{
    margin-right: 50px;
    
}

.header-menu a{
    color: var(--secondary-cory);
    
    letter-spacing: 2px;
    text-transform: uppercase;
    font-size: 1.2rem;
    margin-left: 30px;
    transition: 0.5s ease-in-out;
}

.header-menu a:hover{
    color: var(--hover-color);
}

/*Toggle Menu*/

.hamburger-btn {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 21px;
  background: transparent;
  border: none;
  display: none;
  cursor: pointer;
  z-index: 10;
  margin-right: 20px;
}

.hamburger-btn .bar {
  height: 3px;
  width: 100%;
  background-color: #ffffff; /* Cor das barrinhas */
  border-radius: 2px;
  transition: all 0.3s ease;
}


.hero-section{
    height: 100vh;
    position: relative;
    width: 100%;
    overflow: hidden;
}

.mask{
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(90deg,rgba(28, 28, 28, 0.8) 0%, rgba(163, 163, 163, 0.5) 50%, rgba(28, 28, 28, 0.8) 100%);
    height: 100%;
    width: 100%;
    z-index: 0;
    
}

.hero-section img{
    object-fit: cover;
    object-position: center;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;

}

/*ABOUT SECTION*/

.about-section{
    padding: 30px;
    gap: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #2c2c2c;
    color: var(--secondary-cory);
}

.about-text{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

.about-text p{
    width: 50%;
}

.about-text img{
    width: 100%;
    display: block;
    border-radius: 20px;
    position: relative;
    z-index: 2;
    /* box-shadow: 5px 5px 1px 0 #ceb130; */
}

.about-img-container {
    position: relative;
    width: 30%;
    display: inline-block;
}

.about-img-container::after {
    content: '';
    position: absolute;
    top: 10px;    /* Deslocamento vertical */
    left: 10px;   /* Deslocamento horizontal */
    width: 100%;
    height: 100%;
    border: 2px solid var(--secondary-cory);
    border-radius: 20px;
    z-index: 1;  /* Fica atrás da imagem */
    box-sizing: border-box;
}

/*SERVICES*/

.services-section{
    display: flex;
    padding: 30px;
    gap: 30px;
    flex-direction: column;
    align-items: center;
    background-color: var(--background2);
    color: var(--secondary-cory);
}

.services-grid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    align-items: start;

}



/*Accordion*/

.serv-item {
  background-color: var(--primary-color);
  color: var(--secondary-cory);
  border-radius: 12px;
  margin-bottom: 12px;
  overflow: hidden;
  box-shadow: 2px 2px 0px 0px var(--secondary-cory);
  transition: 0.5s ease-in-out;
  
}

.serv-item:hover{
    box-shadow: 2px 2px 0px 0px var(--hover-color);
}


.serv-type {
  width: 100%;
  padding: 18px 24px;
  background: none;
  border: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 18px;
  font-weight: 600;
  color: var(--secondary-cory);
  cursor: pointer;
  text-align: left;
  transition: 0.5s ease-in-out;
}

.serv-type:hover{
    color: var(--hover-color);
}

/* Transição na setinha */
.arrow {
  transition: transform 0.3s ease;
}

.serv-item.active .arrow {
  transform: rotate(90deg); /* Gira a seta ao abrir */
}

/* A mágica da resposta suave */
.serv-list {
    background-color: var(--background1);
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease, padding 0.3s ease;
  padding: 0 24px;
  
}

.serv-list p {
  color: var(--text-suave);
  line-height: 1.6;
  color: var(--secondary-cory);
}

.serv-item:nth-child(1) .serv-list p:last-child,
.serv-item:nth-child(3) .serv-list p:last-child {
  margin-bottom: 10px;
}

/* Estado Quando Aberto */
.serv-item.active .serv-list {
  max-height: 300px; /* Altura máxima para permitir deslizar */
  padding: 0 24px 20px 24px;
}

/*BRIDE*/

.bride-section{
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 30px;
    gap: 25px;
    background-color: var(--background1);
    color: var(--secondary-cory);

}

.bride-content{
    display: flex;
    gap: 25px;
    
}

.bride-content article{
    width: 40%;
}

.bride-img-container{
    display: grid;
    grid-template-columns: repeat(2, minmax(140px, 1fr));
    gap: 15px;
    width: 50%;
}

.bride-img-container img{
    width: 100%;
    height: 100%;             
    object-fit: cover;        
    aspect-ratio: 1 / 1;
    border-radius: 20px;
    transition: 0.5s ease-in-out;
}

.bride-img-container img:hover{
    scale: 1.05;
}

article p{
    margin: 10px 0;
}

.bride-serv{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.bride-item{
    background-color: var(--hover-color);
    padding: 10px;
    border-radius: 15px;
    color: var(--primary-color);
}

/*GALLERY*/

.gallery-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 30px;
    gap: 25px;
    background-color: var(--background2);
    color: var(--secondary-cory);
}



.gallery-container{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, 200px);
    gap: 1.5rem;
}



.gallery-img{
    overflow: hidden;          /* ESSENCIAL: Esconde o que sai da borda */
    border-radius: 20px;       /* Mantém suas bordas arredondadas bonitas */
    position: relative;         /* Ajuda no alinhamento interno */
    display: block;            /* Garante comportamento de bloco */
    width: 100%;               /* Preenche o espaço do grid */
    height: 100%;
    
    
}

.gallery-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;         /* Mantém a proporção sem esticar */
    transition: 0.6s ease; /* Transição SUAVE e ELEGANTE */
    display: block;            /* Remove espaços fantasmas abaixo da imagem */
    
}

.gallery-img img:hover{
    scale: 1.05;
}

.large{
    grid-column: span 2;
    grid-row: span 2;
}

/*CONTACT*/

.contact-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 30px;
    gap: 25px;
    background-color: var(--background1);
    color: var(--secondary-cory);
}

.contact-section p{
    font-size: 25px;
}

.contact-container{
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 100%;
}

.social img{
    width: 45px;
}

.map-container {
    width: 60%;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.map-container iframe {
    width: 100%;
    height: 350px;
    display: block;
}

footer{
    display: flex;
    align-items: center;
    flex-direction: column;
    background-color: var(--primary-color);
    color: var(--hover-color);
}

@media (max-width: 1200px){
    .hamburger-btn {
    display: flex;
  }

  .header-menu {
    display: none;
    position: absolute;
    top: 100%; /* Gruda exatamente no rodapé do header */
    left: 0;
    width: 100%;
    background-color:var(--primary-color); /* Fundo escuro */
    flex-direction: column;
    align-items: center;
    padding: 20px 0;
    z-index: 100;
    transition: 0.5s ease-in-out; /* Escondido */
  }

  .header-menu a {
  padding: 10px 0; /* Dá área de toque melhor no celular */
  width: 100%;
  text-align: center;
}

  .header-menu.active {
    display: flex;
  }

}

@media (max-width: 900px) {

    .bride-content{
        flex-direction: column-reverse;
        align-items: center;
    }

    .bride-content article{
    width: 80%;
}

article p, article h3{
    text-align: center;
}

    .bride-img-container {
        width: 100%; 
    }
}

@media (max-width: 768px) {
    

  .about-text{
    flex-direction: column;
  }

  .about-text p{
    text-align: center;
    width: 70%;
  }

  .about-img-container{
    width: 70%;  
}

.services-grid{
    grid-template-columns: repeat(1, 1fr);
}

.bride-content article{
    width: 90%;
}

.gallery-container{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 200px);
    gap: 1.5rem;
}

.contact-container{
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    width: 100%;
}

.social{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px;
}

.map-container{
    width: 90%;
}

}